- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::common_interface Struct Reference

## Public Member Functions
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
Evas * | evas_get () const
| No description supplied by the EAPI. More...
Public Member Functions inherited from efl::eo::base
| base (Eo *eo)
| Class constructor. More...
| ~base ()
| Class destructor.
| base (base const &other)
| base (base &&other)
base & | operator= (base const &other)
| Assignment operator.
base & | operator= (base &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this wrapper object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (base parent)
| Set the parent of this object. More...
eina::optional< base > | parent_get ()
| Get the parent of this object. More...
void | base_data_set (const char *key, const void *data,::eo_key_data_free_func func)
| Set generic data to object. More...
void * | base_data_get (const char *key)
| Get generic data from object. More...
void | base_data_del (const char *key)
| Delete generic data from object. More...
void | event_freeze ()
| Freeze any event directed to this object. More...
void | event_thaw ()
| Thaw the events of this object. More...
int | event_freeze_get ()
| Get the event freeze count for this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::base
Eo * | _eo_raw
| The opaque EO Object.

## Constructor & Destructor Documentation

evas::common_interface::common_interface | ( | Eo * | eo | ) |
| inline explicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::common_interface::common_interface | ( | std::nullptr_t |  | ) |
| inline explicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

Evas* evas::common_interface::evas_get | ( |  | ) | const
| inline

No description supplied by the EAPI.

Parameters

  ret |

References efl::eo::base::_eo_ptr().